%define major	0
%define libname %mklibname daemon %{major}
%define develname %mklibname daemon -d

Summary:	Lightweight C library which eases the writing of UNIX daemons
Name:		libdaemon
Version:	0.14
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://0pointer.de/lennart/projects/libdaemon
Source0:	http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
BuildRequires:	lynx
BuildRequires:	doxygen

%description
libdaemon is a lightweight C library which eases the writing of UNIX daemons.
It consists of the following parts:
    * A wrapper around fork() which does the correct daemonization procedure
      of a process
    * A wrapper around syslog() for simpler and compatible log output to
      Syslog or STDERR
    * An API for writing PID files
    * An API for serializing UNIX signals into a pipe for usage with
      select() or poll()

Routines like these are included in most of the daemon software available. It
is not that simple to get it done right and code duplication cannot be a goal.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	daemon = %{version}-%{release}
Obsoletes:	daemon < %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	daemon-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes: 	%{libname}-devel < %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.la %{buildroot}%{_datadir}/doc/libdaemon

%files -n %{libname}
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Thu Jan 26 2012 fwang <fwang> 0.14-4.mga2
+ Revision: 201739
- drop .la file

* Wed Jan 12 2011 blino <blino> 0.14-3.mga1
+ Revision: 7590
- remove old ldconfig scriptlets
- imported package libdaemon

